"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardTagEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const post_card_tag_entity_1 = require("./post-card-tag.entity");
let CardTagEntity = class CardTagEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], CardTagEntity.prototype, "card_tag_id", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], CardTagEntity.prototype, "name", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
    }),
    __metadata("design:type", String)
], CardTagEntity.prototype, "color_hex_code", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], CardTagEntity.prototype, "type", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
    }),
    __metadata("design:type", Number)
], CardTagEntity.prototype, "is_deleted", void 0);
__decorate([
    (0, typeorm_1.OneToMany)(() => post_card_tag_entity_1.PostCardTagEntity, (post_card_tag) => post_card_tag.card_tag, { nullable: true }),
    __metadata("design:type", post_card_tag_entity_1.PostCardTagEntity)
], CardTagEntity.prototype, "post_card_tag", void 0);
CardTagEntity = __decorate([
    (0, typeorm_1.Entity)('card_tag')
], CardTagEntity);
exports.CardTagEntity = CardTagEntity;
//# sourceMappingURL=card-tag.entity.js.map