"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseModel = void 0;
const typeorm_1 = require("typeorm");
const moment = require("moment");
class CustomTimeTransformer {
    to() {
        return moment().utcOffset(0).format('YYYY-MM-DD HH:mm:ss.SSS');
    }
    from(value) {
        return value;
    }
}
class BaseModel extends typeorm_1.BaseEntity {
}
__decorate([
    (0, typeorm_1.CreateDateColumn)({
        type: 'char',
        length: 24,
        default: '',
        transformer: new CustomTimeTransformer(),
    }),
    __metadata("design:type", String)
], BaseModel.prototype, "created_at", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({
        type: 'char',
        length: 24,
        default: '',
        transformer: new CustomTimeTransformer(),
    }),
    __metadata("design:type", String)
], BaseModel.prototype, "updated_at", void 0);
__decorate([
    (0, typeorm_1.UpdateDateColumn)({
        type: 'char',
        length: 24,
        default: '',
        transformer: new CustomTimeTransformer(),
    }),
    __metadata("design:type", String)
], BaseModel.prototype, "timestamp", void 0);
exports.BaseModel = BaseModel;
//# sourceMappingURL=base.entity.js.map