import { BaseModel } from './base.entity';
import { BrandEntity } from './brand.entity';
import { RestaurantEntity } from './restaurant.entity';
export declare class BranchEntity extends BaseModel {
    branch_id: string;
    restaurant: RestaurantEntity;
    brand: BrandEntity;
    name: string;
    address: string;
    status: number;
    average_rating: number;
    food_rating: number;
    price_rating: number;
    spatial_rating: number;
    hygiene_rating: number;
    service_rating: number;
    no_of_review: number;
    logo: string;
    banner: string;
    lat: string;
    lng: string;
}
