"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageVoteUserEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const message_vote_option_entity_1 = require("./message-vote-option.entity");
const message_vote_entity_1 = require("./message-vote.entity");
const user_entity_1 = require("./user.entity");
let MessageVoteUserEntity = class MessageVoteUserEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], MessageVoteUserEntity.prototype, "message_vote_user_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => message_vote_entity_1.MessageVoteEntity, (message_vote) => message_vote.message_vote_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'message_vote_id',
    }),
    __metadata("design:type", message_vote_entity_1.MessageVoteEntity)
], MessageVoteUserEntity.prototype, "message_vote", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => message_vote_option_entity_1.MessageVoteOptionEntity, (message_vote_option) => message_vote_option.message_vote_option_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'message_vote_option_id',
    }),
    __metadata("design:type", message_vote_option_entity_1.MessageVoteOptionEntity)
], MessageVoteUserEntity.prototype, "message_vote_option", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => user_entity_1.UserEntity, (user) => user.user_id, { nullable: true }),
    (0, typeorm_1.JoinColumn)({
        name: 'user_id',
    }),
    __metadata("design:type", user_entity_1.UserEntity)
], MessageVoteUserEntity.prototype, "user", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'int',
        default: 0,
        nullable: true,
    }),
    __metadata("design:type", Number)
], MessageVoteUserEntity.prototype, "status", void 0);
MessageVoteUserEntity = __decorate([
    (0, typeorm_1.Entity)('message_vote_user')
], MessageVoteUserEntity);
exports.MessageVoteUserEntity = MessageVoteUserEntity;
//# sourceMappingURL=message-vote-user.entity.js.map