"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WardEntity = void 0;
const typeorm_1 = require("typeorm");
const base_entity_1 = require("./base.entity");
const district_entity_1 = require("./district.entity");
let WardEntity = class WardEntity extends base_entity_1.BaseModel {
};
__decorate([
    (0, typeorm_1.PrimaryGeneratedColumn)('identity', {
        type: 'bigint',
    }),
    __metadata("design:type", String)
], WardEntity.prototype, "ward_id", void 0);
__decorate([
    (0, typeorm_1.ManyToOne)(() => district_entity_1.DistrictEntity, (district) => district.district_id, {
        nullable: true,
    }),
    (0, typeorm_1.JoinColumn)({
        name: 'district_id',
    }),
    __metadata("design:type", district_entity_1.DistrictEntity)
], WardEntity.prototype, "district", void 0);
__decorate([
    (0, typeorm_1.Column)({
        type: 'text',
        default: '',
        nullable: true,
    }),
    __metadata("design:type", String)
], WardEntity.prototype, "name", void 0);
WardEntity = __decorate([
    (0, typeorm_1.Entity)('ward')
], WardEntity);
exports.WardEntity = WardEntity;
//# sourceMappingURL=ward.entity.js.map